<!--
title: Enums
description: Folien für Enums in Programmieren 1
url: https://git.haw-hamburg.de/pm1-tutorium/slides
header: Programmieren 1 **Tutorium**
footer: Henri Burau und Eva Meinen
-->

# Enums
Enums sind besondere Arten von Klassen, die eine Gruppe von Konstanten repräsentieren.

---

## Deklaration

```java
enum Direction {
    NORTH,
    EAST,
    SOUTH,
    WEST
}
```

---

## Benutzung

```java
Direction artic = Direction.NORTH;
```

oder

```java
import static Direction.*;
...
Direction malle = SOUTH;
```

## Methoden

Da Enums Klassen sind können sie auch Methoden deklarieren.
